Create Conversation
curl --request POST \
--url https://api.veryfront.com/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_reference": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"metadata": {}
}
'import requests
url = "https://api.veryfront.com/conversations"
payload = {
"project_reference": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_reference: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
metadata: {}
})
};
fetch('https://api.veryfront.com/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"message_count": 123,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project_id": "<string>",
"title": "<string>",
"summary": "<string>",
"current_node": "<string>",
"last_message_at": "<string>",
"metadata": {},
"archived_at": "<string>",
"participants": []
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Create Conversation
Creates a conversation, optionally linked to a project.
POST
/
conversations
Create Conversation
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Response
Created conversation
Available options:
chat, default_chat, plan, research, agent_task, support, channel, project_agent Available options:
active, archived, deleted Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I